Skip to main content

Process Platform Entitlements By Player Uuid

POST 

/inventory/v2/player/:player_uuid/entitlement

Process platform entitlements, consuming from the platform inventory where possible and generating orders.

Note that some orders may not be fulfilled at the completion of this request and need to be polled separately for results

Required Permissions:

  • For any player (including themselves) any of: inv:*, inv:platform_entitlements:any

  • For the player themselves : inv:platform_entitlements:self

Request

Path Parameters

    player_uuid uuidrequired

Body

required

    transaction_id Transaction Id (string)required

    unique id for this transaction on the platform

    platform_token Platform Token (string)required

    Platform token that can be used to verify the identity of the user

    platform_id Platform Id (string)required

    Platform this entitlement was purchased was made on

    platform_environment

    object

    Specific platform environment to target with entitlement processing. Not supported by all platforms

    anyOf

    string

    platform_region PlatformRegion (string)required

    Possible values: [Unknown, NA, EU]

    region this purchase was made in

    client_type ClientType (string)required

    Possible values: [UNKNOWN, WIN, MAC, XBOXONE, PS4, SWITCH, ANDROID, IOS, PS5, LINUX, XSX]

    client type this purchase was made on

    entitlements

    object[]

    Platform entitlements to process

  • Array [

  • platform_sku Platform Sku (string)required

    platform identifier for this purchase type

    platform_entitlement_id Platform Entitlement Id (string)required

    unique identifier for this purchased item (instance owned by this user)

    quantity Quantity (integer)

    Default value: 1

    number purchased

    status EntitlementStatus (string)

    Possible values: [UNKNOWN, SUBMITTED, FULFILLED, FAILED, PREVIOUSLY_APPLIED, SKIPPED]

    Default value: UNKNOWN

    status of this entitlement

    error_code Error Code (string)

    Default value: none

    Error code for this entitlement

    order_id Order Id (string)

    Order ID for this entitlement

  • ]

  • check_durables Check Durables (boolean)

    Default value: true

    Should the system process durables during this request?

    check_consumables Check Consumables (boolean)

    Default value: true

    Should the system process consumables during this request?

Responses

Successful Response

Schema

    request_id Request Id (string)required

    unique id to allow tracking the request

    client_type ClientType (string)required

    Possible values: [UNKNOWN, WIN, MAC, XBOXONE, PS4, SWITCH, ANDROID, IOS, PS5, LINUX, XSX]

    client type this purchase was made on

    transaction_id Transaction Id (string)required

    unique id for this transaction on the platform

    platform_region PlatformRegion (string)required

    Possible values: [Unknown, NA, EU]

    region this purchase was made in

    status Status (string)

    Default value: SUBMITTED

    status of this result

    error_code

    object

    Error code for failures not associated with a specific entitlement

    anyOf

    string

    client_entitlements

    object[]

    Client entitlements that have been processed

  • Array [

  • platform_sku Platform Sku (string)required

    platform identifier for this purchase type

    platform_entitlement_id Platform Entitlement Id (string)required

    unique identifier for this purchased item (instance owned by this user)

    quantity Quantity (integer)

    Default value: 1

    number purchased

    status EntitlementStatus (string)

    Possible values: [UNKNOWN, SUBMITTED, FULFILLED, FAILED, PREVIOUSLY_APPLIED, SKIPPED]

    Default value: UNKNOWN

    status of this entitlement

    error_code Error Code (string)

    Default value: none

    Error code for this entitlement

    order_id Order Id (string)

    Order ID for this entitlement

  • ]

  • server_entitlements

    object[]

    Server entitlements that have been processed

  • Array [

  • platform_sku Platform Sku (string)required

    platform identifier for this purchase type

    platform_entitlement_id Platform Entitlement Id (string)required

    unique identifier for this purchased item (instance owned by this user)

    quantity Quantity (integer)

    Default value: 1

    number purchased

    status EntitlementStatus (string)

    Possible values: [UNKNOWN, SUBMITTED, FULFILLED, FAILED, PREVIOUSLY_APPLIED, SKIPPED]

    Default value: UNKNOWN

    status of this entitlement

    error_code Error Code (string)

    Default value: none

    Error code for this entitlement

    order_id Order Id (string)

    Order ID for this entitlement

  • ]

  • platform_id Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    Platform these transactions were processed on

    platform_user_id Platform User Id (string)required

    Unique identifier for the platform user that processed this entitlement

    skipped_server_entitlements Skipped Server Entitlements (boolean)

    True if the server entitlements were skipped

Loading...